<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.18"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>MeLOn: C:/Users/Linus/Documents/HiWi/SVT/MeLOn/myMeLOn/feedforward neural network/training/matlab/example_training_of_ANN.m File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="MeLOn_only.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">MeLOn
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.18 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('example__training__of___a_n_n_8m.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#typedef-members">Typedefs</a> &#124;
<a href="#func-members">Functions</a> &#124;
<a href="#var-members">Variables</a>  </div>
  <div class="headertitle">
<div class="title">example_training_of_ANN.m File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="typedef-members"></a>
Typedefs</h2></td></tr>
<tr class="memitem:a4817a9277ef40b3369c95a4e1e1acfaf"><td class="memItemLeft" align="right" valign="top">using&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="example__training__of___a_n_n_8m.html#a4817a9277ef40b3369c95a4e1e1acfaf">X</a> = lhsdesign(<a class="el" href="example__training__of___g_p_8m.html#aa493a5f1ccc6ea9b0d0f525ba2281266">nX</a>,<a class="el" href="_write___g_p__to__json_8m.html#ad7b8bab9453663538025b6fec5ab0809">DX</a>)</td></tr>
<tr class="separator:a4817a9277ef40b3369c95a4e1e1acfaf"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:a6f9655b9922d8eb305f5de56994924f6"><td class="memItemLeft" align="right" valign="top">Training&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="example__training__of___a_n_n_8m.html#a6f9655b9922d8eb305f5de56994924f6">function</a> (Levenberg Marquardt) <a class="el" href="example__training__of___a_n_n_8m.html#a43bcb2471652280e7f42608c40cf0b22">ffNet</a></td></tr>
<tr class="separator:a6f9655b9922d8eb305f5de56994924f6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a25a851a0b6d168ff8360a88e80108be5"><td class="memItemLeft" align="right" valign="top">View network&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="example__training__of___a_n_n_8m.html#a25a851a0b6d168ff8360a88e80108be5">view</a> (<a class="el" href="example__training__of___a_n_n_8m.html#a43bcb2471652280e7f42608c40cf0b22">ffNet</a>) %% Save ANN parameters in csv-files % We write csv-files that is read by our MAiNGO model. sNetwork2CSV(<a class="el" href="example__training__of___a_n_n_8m.html#a43bcb2471652280e7f42608c40cf0b22">ffNet</a>)</td></tr>
<tr class="separator:a25a851a0b6d168ff8360a88e80108be5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5935882cb967f8f7a7af24f561521468"><td class="memItemLeft" align="right" valign="top">Compute <a class="el" href="example__training__of___g_p_8m.html#a55295f1cfc3c4ee7f6ff998e05267abf">GP</a> predictions in&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="example__training__of___a_n_n_8m.html#a5935882cb967f8f7a7af24f561521468">Matlab</a> (just for information) x_Test_Point</td></tr>
<tr class="separator:a5935882cb967f8f7a7af24f561521468"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab50c331b679f2b0e5d4fef84e71f3934"><td class="memItemLeft" align="right" valign="top">Plot generated&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="example__training__of___a_n_n_8m.html#ab50c331b679f2b0e5d4fef84e71f3934">data</a> (just for information) % Generate a mesh on the inputs[x_1_prediction</td></tr>
<tr class="separator:ab50c331b679f2b0e5d4fef84e71f3934"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7637537df13ddae4557bf33d25989562"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="example__training__of___a_n_n_8m.html#a7637537df13ddae4557bf33d25989562">x_2_prediction</a> (<a class="el" href="_write___g_p__to__xml_8m.html#a6f6ccfcf58b31cb6412107d9d5281426">i</a>, <a class="el" href="_write___g_p__to__xml_8m.html#ac86694252f8dfdb19aaeadc4b7c342c6">j</a>)]</td></tr>
<tr class="separator:a7637537df13ddae4557bf33d25989562"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a12b68dc62d90954ed10b2036395e38ee"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="example__training__of___a_n_n_8m.html#a12b68dc62d90954ed10b2036395e38ee">y_prediction</a> (<a class="el" href="_write___g_p__to__xml_8m.html#a6f6ccfcf58b31cb6412107d9d5281426">i</a>, <a class="el" href="_write___g_p__to__xml_8m.html#ac86694252f8dfdb19aaeadc4b7c342c6">j</a>)</td></tr>
<tr class="separator:a12b68dc62d90954ed10b2036395e38ee"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="var-members"></a>
Variables</h2></td></tr>
<tr class="memitem:a2a03407de8e48c58c4335953dcb8f87d"><td class="memItemLeft" align="right" valign="top">file example_training_of_GP <a class="el" href="_train___g_p__and__return__hyperparameters_8m.html#aa7b608eef330c0c2d92f284c85641df7">m</a> brief Illustrative <a class="el" href="example__training__of___a_n_n_8m.html#a040fc6d327e2ac265e0ffb016a460e48">training</a> script for feedforward artificial neural network in&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="example__training__of___a_n_n_8m.html#a2a03407de8e48c58c4335953dcb8f87d">Matlab</a></td></tr>
<tr class="separator:a2a03407de8e48c58c4335953dcb8f87d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab7a8ba4c19cf0fdb4c50d44f4b6d89c1"><td class="memItemLeft" align="right" valign="top">file example_training_of_GP <a class="el" href="_train___g_p__and__return__hyperparameters_8m.html#aa7b608eef330c0c2d92f284c85641df7">m</a> brief Illustrative <a class="el" href="example__training__of___a_n_n_8m.html#a040fc6d327e2ac265e0ffb016a460e48">training</a> script for feedforward artificial neural network in RWTH Aachen University&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="example__training__of___a_n_n_8m.html#ab7a8ba4c19cf0fdb4c50d44f4b6d89c1">n</a></td></tr>
<tr class="separator:ab7a8ba4c19cf0fdb4c50d44f4b6d89c1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa493a5f1ccc6ea9b0d0f525ba2281266"><td class="memItemLeft" align="right" valign="top">Add <a class="el" href="_write___g_p__to__xml_8m.html#aa28dc103258589d9cb421197fe2de90b">path</a> for Gaussian process export functions General&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="example__training__of___a_n_n_8m.html#aa493a5f1ccc6ea9b0d0f525ba2281266">nX</a> = 200</td></tr>
<tr class="separator:aa493a5f1ccc6ea9b0d0f525ba2281266"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad7b8bab9453663538025b6fec5ab0809"><td class="memItemLeft" align="right" valign="top">Number of <a class="el" href="example__training__of___a_n_n_8m.html#a040fc6d327e2ac265e0ffb016a460e48">training</a> <a class="el" href="example__training__of___g_p_8m.html#ab50c331b679f2b0e5d4fef84e71f3934">data</a> points&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="example__training__of___a_n_n_8m.html#ad7b8bab9453663538025b6fec5ab0809">DX</a> = 2</td></tr>
<tr class="separator:ad7b8bab9453663538025b6fec5ab0809"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aeb3638046bd79039a7571f8c646a4c84"><td class="memItemLeft" align="right" valign="top">Input dimension of <a class="el" href="example__training__of___g_p_8m.html#ab50c331b679f2b0e5d4fef84e71f3934">data</a> <a class="el" href="example__training__of___g_p_8m.html#a55295f1cfc3c4ee7f6ff998e05267abf">GP</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="example__training__of___a_n_n_8m.html#aeb3638046bd79039a7571f8c646a4c84">lb</a> = [-3, -3]</td></tr>
<tr class="separator:aeb3638046bd79039a7571f8c646a4c84"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aab88802a9fdd7b7273d475bf46f6dae1"><td class="memItemLeft" align="right" valign="top">Define Lower bound of inputs&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="example__training__of___a_n_n_8m.html#aab88802a9fdd7b7273d475bf46f6dae1">ub</a> = [ 3, 3]</td></tr>
<tr class="separator:aab88802a9fdd7b7273d475bf46f6dae1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2277fd69ad7105496867cd94f826304a"><td class="memItemLeft" align="right" valign="top">Define upper bound of inputs&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="example__training__of___a_n_n_8m.html#a2277fd69ad7105496867cd94f826304a">test_func</a></td></tr>
<tr class="separator:a2277fd69ad7105496867cd94f826304a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab5d0dee4577dce4166b4f7d03510a14e"><td class="memItemLeft" align="right" valign="top">Scale inputs onto interval[<a class="el" href="_train___g_p__and__return__hyperparameters_8m.html#aa53c1f31c30e63f0a62e323019ee39f2">lb</a>, <a class="el" href="_train___g_p__and__return__hyperparameters_8m.html#af06d33e475dd0c6fb326f753dcf34273">ub</a>]&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="example__training__of___a_n_n_8m.html#ab5d0dee4577dce4166b4f7d03510a14e">Y</a> = cellfun(<a class="el" href="example__training__of___g_p_8m.html#a2277fd69ad7105496867cd94f826304a">test_func</a>, num2cell(<a class="el" href="example__training__of___a_n_n_8m.html#a4817a9277ef40b3369c95a4e1e1acfaf">X</a>,2))</td></tr>
<tr class="separator:ab5d0dee4577dce4166b4f7d03510a14e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9f12202b491c143cb495d2564b90a486"><td class="memItemLeft" align="right" valign="top">Evaluate <a class="el" href="example__training__of___g_p_8m.html#a2277fd69ad7105496867cd94f826304a">test_func</a> for all <a class="el" href="example__training__of___a_n_n_8m.html#a4817a9277ef40b3369c95a4e1e1acfaf">X</a> Tranining of ANNs&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="example__training__of___a_n_n_8m.html#a9f12202b491c143cb495d2564b90a486">numNeurons</a> = [10,8]</td></tr>
<tr class="separator:a9f12202b491c143cb495d2564b90a486"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac48e1a5064db7c5f0d990a9be817b7c7"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="example__training__of___a_n_n_8m.html#ac48e1a5064db7c5f0d990a9be817b7c7">trainFcn</a> = 'trainlm'</td></tr>
<tr class="separator:ac48e1a5064db7c5f0d990a9be817b7c7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a43bcb2471652280e7f42608c40cf0b22"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="example__training__of___a_n_n_8m.html#a43bcb2471652280e7f42608c40cf0b22">ffNet</a> = configure(ffNet, <a class="el" href="example__training__of___a_n_n_8m.html#a4817a9277ef40b3369c95a4e1e1acfaf">X</a>',<a class="el" href="_write___g_p__to__json_8m.html#a2f7178b5691c597aba4e7ff9eaf0524d">Y</a>')</td></tr>
<tr class="separator:a43bcb2471652280e7f42608c40cf0b22"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3ad654bfcd3be92c3ecb74902828e4a9"><td class="memItemLeft" align="right" valign="top">Transfer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="example__training__of___a_n_n_8m.html#a3ad654bfcd3be92c3ecb74902828e4a9">function</a></td></tr>
<tr class="separator:a3ad654bfcd3be92c3ecb74902828e4a9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1d3c72f9a6e4cc9cb5c2d180bb815156"><td class="memItemLeft" align="right" valign="top">Transfer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="example__training__of___a_n_n_8m.html#a1d3c72f9a6e4cc9cb5c2d180bb815156">purelin</a></td></tr>
<tr class="separator:a1d3c72f9a6e4cc9cb5c2d180bb815156"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0c627e1b2c395d72e81e29e25de2f6a5"><td class="memItemLeft" align="right" valign="top">Transfer <a class="el" href="example__training__of___a_n_n_8m.html#a43bcb2471652280e7f42608c40cf0b22">ffNet</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="example__training__of___a_n_n_8m.html#a0c627e1b2c395d72e81e29e25de2f6a5">layers</a> {1}.transferFcn = 'tansig'</td></tr>
<tr class="separator:a0c627e1b2c395d72e81e29e25de2f6a5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a79a9d9a33f58a4c9aa2ee1dfdfdee463"><td class="memItemLeft" align="right" valign="top">Output Layer <a class="el" href="example__training__of___a_n_n_8m.html#a43bcb2471652280e7f42608c40cf0b22">ffNet</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="example__training__of___a_n_n_8m.html#a79a9d9a33f58a4c9aa2ee1dfdfdee463">name</a> = 'myTestANN'</td></tr>
<tr class="separator:a79a9d9a33f58a4c9aa2ee1dfdfdee463"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a040fc6d327e2ac265e0ffb016a460e48"><td class="memItemLeft" align="right" valign="top">Devide <a class="el" href="example__training__of___g_p_8m.html#ab50c331b679f2b0e5d4fef84e71f3934">data</a> set into&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="example__training__of___a_n_n_8m.html#a040fc6d327e2ac265e0ffb016a460e48">training</a></td></tr>
<tr class="separator:a040fc6d327e2ac265e0ffb016a460e48"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afd4ff86aed2d8d636829a3eced6f77af"><td class="memItemLeft" align="right" valign="top">Devide <a class="el" href="example__training__of___g_p_8m.html#ab50c331b679f2b0e5d4fef84e71f3934">data</a> set into&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="example__training__of___a_n_n_8m.html#afd4ff86aed2d8d636829a3eced6f77af">validation</a></td></tr>
<tr class="separator:afd4ff86aed2d8d636829a3eced6f77af"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa72d00da533010a2b353de9b2cdd4913"><td class="memItemLeft" align="right" valign="top">Devide <a class="el" href="example__training__of___g_p_8m.html#ab50c331b679f2b0e5d4fef84e71f3934">data</a> set into and test <a class="el" href="example__training__of___a_n_n_8m.html#a43bcb2471652280e7f42608c40cf0b22">ffNet</a> divideParam&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="example__training__of___a_n_n_8m.html#aa72d00da533010a2b353de9b2cdd4913">trainRatio</a> = 70/100</td></tr>
<tr class="separator:aa72d00da533010a2b353de9b2cdd4913"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab11fdb43dca5a8c07e160017613b9e32"><td class="memItemLeft" align="right" valign="top"><a class="el" href="example__training__of___a_n_n_8m.html#a43bcb2471652280e7f42608c40cf0b22">ffNet</a> divideParam&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="example__training__of___a_n_n_8m.html#ab11fdb43dca5a8c07e160017613b9e32">valRatio</a> = 15/100</td></tr>
<tr class="separator:ab11fdb43dca5a8c07e160017613b9e32"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aadcac1ca907c098fe91d8949f9c252f4"><td class="memItemLeft" align="right" valign="top"><a class="el" href="example__training__of___a_n_n_8m.html#a43bcb2471652280e7f42608c40cf0b22">ffNet</a> divideParam&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="example__training__of___a_n_n_8m.html#aadcac1ca907c098fe91d8949f9c252f4">testRatio</a> = 15/100</td></tr>
<tr class="separator:aadcac1ca907c098fe91d8949f9c252f4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a00c3d8671b75eebbcb4ed3a94242f1f9"><td class="memItemLeft" align="right" valign="top"><a class="el" href="example__training__of___a_n_n_8m.html#a43bcb2471652280e7f42608c40cf0b22">ffNet</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="example__training__of___a_n_n_8m.html#a00c3d8671b75eebbcb4ed3a94242f1f9">divideFcn</a> = 'divideblock'</td></tr>
<tr class="separator:a00c3d8671b75eebbcb4ed3a94242f1f9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad6d88efcf61a2ab4c34c9b4d54235a47"><td class="memItemLeft" align="right" valign="top"><a class="el" href="example__training__of___a_n_n_8m.html#a43bcb2471652280e7f42608c40cf0b22">ffNet</a> performParam&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="example__training__of___a_n_n_8m.html#ad6d88efcf61a2ab4c34c9b4d54235a47">normalization</a> = 'standard'</td></tr>
<tr class="separator:ad6d88efcf61a2ab4c34c9b4d54235a47"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a96965a417c15556529ddf4d2f22ba55d"><td class="memItemLeft" align="right" valign="top">Training Parameters <a class="el" href="example__training__of___a_n_n_8m.html#a43bcb2471652280e7f42608c40cf0b22">ffNet</a> trainParam&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="example__training__of___a_n_n_8m.html#a96965a417c15556529ddf4d2f22ba55d">epochs</a> = 50000</td></tr>
<tr class="separator:a96965a417c15556529ddf4d2f22ba55d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1c079486791350f9f2a19565e2bed7d1"><td class="memItemLeft" align="right" valign="top"><a class="el" href="example__training__of___a_n_n_8m.html#a43bcb2471652280e7f42608c40cf0b22">ffNet</a> trainParam&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="example__training__of___a_n_n_8m.html#a1c079486791350f9f2a19565e2bed7d1">max_fail</a> = 6</td></tr>
<tr class="separator:a1c079486791350f9f2a19565e2bed7d1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a18d18e5292df1efc5462c0a57df1c949"><td class="memItemLeft" align="right" valign="top"><a class="el" href="example__training__of___a_n_n_8m.html#a43bcb2471652280e7f42608c40cf0b22">ffNet</a> trainParam&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="example__training__of___a_n_n_8m.html#a18d18e5292df1efc5462c0a57df1c949">min_grad</a> = 1e-07</td></tr>
<tr class="separator:a18d18e5292df1efc5462c0a57df1c949"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac2c71fa05132a373732d721268a13f0c"><td class="memItemLeft" align="right" valign="top"><a class="el" href="example__training__of___a_n_n_8m.html#a43bcb2471652280e7f42608c40cf0b22">ffNet</a> trainParam&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="example__training__of___a_n_n_8m.html#ac2c71fa05132a373732d721268a13f0c">mu_max</a> = 1e10</td></tr>
<tr class="separator:ac2c71fa05132a373732d721268a13f0c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0bee1948a2cc75de6d5e4ae7a854c3f5"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="example__training__of___a_n_n_8m.html#a0bee1948a2cc75de6d5e4ae7a854c3f5">prediction</a> = <a class="el" href="example__training__of___a_n_n_8m.html#a43bcb2471652280e7f42608c40cf0b22">ffNet</a>(x_Test_Point)</td></tr>
<tr class="separator:a0bee1948a2cc75de6d5e4ae7a854c3f5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a17074b2a92ddf8a27a9d1b0ba48730b4"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="example__training__of___a_n_n_8m.html#a17074b2a92ddf8a27a9d1b0ba48730b4">perf</a> = perform(<a class="el" href="example__training__of___a_n_n_8m.html#a43bcb2471652280e7f42608c40cf0b22">ffNet</a>,<a class="el" href="_predict___g_p_8m.html#ad89261857e7e5a1a1b86f3441197f1f0">prediction</a>,<a class="el" href="_write___g_p__to__json_8m.html#a2f7178b5691c597aba4e7ff9eaf0524d">Y</a>)</td></tr>
<tr class="separator:a17074b2a92ddf8a27a9d1b0ba48730b4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5d4ceb95920472829ed9a1f644d4c9de"><td class="memItemLeft" align="right" valign="top">Plot generated&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="example__training__of___a_n_n_8m.html#a5d4ceb95920472829ed9a1f644d4c9de">x_2_prediction</a> = meshgrid(linspace(<a class="el" href="_train___g_p__and__return__hyperparameters_8m.html#aa53c1f31c30e63f0a62e323019ee39f2">lb</a>(1), <a class="el" href="_train___g_p__and__return__hyperparameters_8m.html#af06d33e475dd0c6fb326f753dcf34273">ub</a>(1), 20), linspace(<a class="el" href="_train___g_p__and__return__hyperparameters_8m.html#aa53c1f31c30e63f0a62e323019ee39f2">lb</a>(2), <a class="el" href="_train___g_p__and__return__hyperparameters_8m.html#af06d33e475dd0c6fb326f753dcf34273">ub</a>(2),20) )</td></tr>
<tr class="separator:a5d4ceb95920472829ed9a1f644d4c9de"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8e137b3fb5c279332b8f4c38faa5cd81"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="example__training__of___a_n_n_8m.html#a8e137b3fb5c279332b8f4c38faa5cd81">y_prediction</a> = <a class="el" href="_scale_variables_8m.html#abe36e9a6fc94f1b95c00d00b9829d8f1">zeros</a>(<a class="el" href="_train___g_p__and__return__hyperparameters_8m.html#a8d780116abd74ce4edb29522382d30be">size</a>(<a class="el" href="example__training__of___a_n_n_8m.html#a7637537df13ddae4557bf33d25989562">x_2_prediction</a>,1),1)</td></tr>
<tr class="separator:a8e137b3fb5c279332b8f4c38faa5cd81"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adf359d7e263aa0342dc5a4b7e9940381"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="example__training__of___a_n_n_8m.html#adf359d7e263aa0342dc5a4b7e9940381">y_std</a> = <a class="el" href="_scale_variables_8m.html#abe36e9a6fc94f1b95c00d00b9829d8f1">zeros</a>(<a class="el" href="_train___g_p__and__return__hyperparameters_8m.html#a8d780116abd74ce4edb29522382d30be">size</a>(<a class="el" href="example__training__of___a_n_n_8m.html#a7637537df13ddae4557bf33d25989562">x_2_prediction</a>,1),1)</td></tr>
<tr class="separator:adf359d7e263aa0342dc5a4b7e9940381"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6f6ccfcf58b31cb6412107d9d5281426"><td class="memItemLeft" align="right" valign="top">Evaluate <a class="el" href="_predict___g_p_8m.html#ad89261857e7e5a1a1b86f3441197f1f0">prediction</a> <a class="el" href="_direct_8m.html#a941d2b5f92db37c10af3ed77035087a3">at</a> all mesh points for&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="example__training__of___a_n_n_8m.html#a6f6ccfcf58b31cb6412107d9d5281426">i</a></td></tr>
<tr class="separator:a6f6ccfcf58b31cb6412107d9d5281426"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Typedef Documentation</h2>
<a id="a4817a9277ef40b3369c95a4e1e1acfaf"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4817a9277ef40b3369c95a4e1e1acfaf">&#9670;&nbsp;</a></span>X</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="example__training__of___g_p_8m.html#ab50c331b679f2b0e5d4fef84e71f3934">data</a> <a class="el" href="example__training__of___a_n_n_8m.html#a4817a9277ef40b3369c95a4e1e1acfaf">X</a> = lhsdesign(<a class="el" href="example__training__of___g_p_8m.html#aa493a5f1ccc6ea9b0d0f525ba2281266">nX</a>,<a class="el" href="_write___g_p__to__json_8m.html#ad7b8bab9453663538025b6fec5ab0809">DX</a>)</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Function Documentation</h2>
<a id="ab50c331b679f2b0e5d4fef84e71f3934"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab50c331b679f2b0e5d4fef84e71f3934">&#9670;&nbsp;</a></span>data()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Plot generated data </td>
          <td>(</td>
          <td class="paramtype">just for&#160;</td>
          <td class="paramname"><em>information</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a6f9655b9922d8eb305f5de56994924f6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6f9655b9922d8eb305f5de56994924f6">&#9670;&nbsp;</a></span>function()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Training function </td>
          <td>(</td>
          <td class="paramtype">Levenberg&#160;</td>
          <td class="paramname"><em>Marquardt</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a5935882cb967f8f7a7af24f561521468"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5935882cb967f8f7a7af24f561521468">&#9670;&nbsp;</a></span>Matlab()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Compute <a class="el" href="example__training__of___g_p_8m.html#a55295f1cfc3c4ee7f6ff998e05267abf">GP</a> predictions in Matlab </td>
          <td>(</td>
          <td class="paramtype">just for&#160;</td>
          <td class="paramname"><em>information</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a25a851a0b6d168ff8360a88e80108be5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a25a851a0b6d168ff8360a88e80108be5">&#9670;&nbsp;</a></span>view()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">View network view </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="example__training__of___a_n_n_8m.html#a43bcb2471652280e7f42608c40cf0b22">ffNet</a>&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a7637537df13ddae4557bf33d25989562"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7637537df13ddae4557bf33d25989562">&#9670;&nbsp;</a></span>x_2_prediction()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">x_2_prediction </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="_write___g_p__to__xml_8m.html#a6f6ccfcf58b31cb6412107d9d5281426">i</a>&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="_write___g_p__to__xml_8m.html#ac86694252f8dfdb19aaeadc4b7c342c6">j</a>&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a12b68dc62d90954ed10b2036395e38ee"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a12b68dc62d90954ed10b2036395e38ee">&#9670;&nbsp;</a></span>y_prediction()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">y_prediction </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="_write___g_p__to__xml_8m.html#a6f6ccfcf58b31cb6412107d9d5281426">i</a>&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="_write___g_p__to__xml_8m.html#ac86694252f8dfdb19aaeadc4b7c342c6">j</a>&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Variable Documentation</h2>
<a id="a00c3d8671b75eebbcb4ed3a94242f1f9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a00c3d8671b75eebbcb4ed3a94242f1f9">&#9670;&nbsp;</a></span>divideFcn</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="example__training__of___a_n_n_8m.html#a43bcb2471652280e7f42608c40cf0b22">ffNet</a> divideFcn = 'divideblock'</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ad7b8bab9453663538025b6fec5ab0809"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad7b8bab9453663538025b6fec5ab0809">&#9670;&nbsp;</a></span>DX</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="s_network2_c_s_v_8m.html#aea817658eb193861e7d5ae6248043180">if</a> DX = 2</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a96965a417c15556529ddf4d2f22ba55d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a96965a417c15556529ddf4d2f22ba55d">&#9670;&nbsp;</a></span>epochs</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Training Parameters <a class="el" href="example__training__of___a_n_n_8m.html#a43bcb2471652280e7f42608c40cf0b22">ffNet</a> trainParam epochs = 50000</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a43bcb2471652280e7f42608c40cf0b22"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a43bcb2471652280e7f42608c40cf0b22">&#9670;&nbsp;</a></span>ffNet</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">ffNet = configure(ffNet, <a class="el" href="example__training__of___a_n_n_8m.html#a4817a9277ef40b3369c95a4e1e1acfaf">X</a>',<a class="el" href="_write___g_p__to__json_8m.html#a2f7178b5691c597aba4e7ff9eaf0524d">Y</a>')</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a3ad654bfcd3be92c3ecb74902828e4a9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3ad654bfcd3be92c3ecb74902828e4a9">&#9670;&nbsp;</a></span>function</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">return function</td>
        </tr>
      </table>
</div><div class="memdoc">
<b>Initial value:</b><div class="fragment"><div class="line">= TrainingOfGP(<a class="code" href="_train___g_p__and__return__hyperparameters_8m.html#aa601f4b8e97786b94ee05da2cf438bb8">Xnew</a>,<a class="code" href="_scale_variables_8m.html#ad6666ab10465ac9fde34c0543948cfb8">Ynew</a>,<a class="code" href="_train___g_p__and__return__hyperparameters_8m.html#a88ea5a36240d18f8381688ed2ba3dc3a">OptGP</a>)</div>
<div class="line">% Copyright (<a class="code" href="_train___g_p__and__return__hyperparameters_8m.html#ac7e3b2da00011ea8fe6e025bcf7d448a">c</a>) by Eric Bradford</div>
</div><!-- fragment -->
</div>
</div>
<a id="a6f6ccfcf58b31cb6412107d9d5281426"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6f6ccfcf58b31cb6412107d9d5281426">&#9670;&nbsp;</a></span>i</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">for i</td>
        </tr>
      </table>
</div><div class="memdoc">
<b>Initial value:</b><div class="fragment"><div class="line">= 1 : <a class="code" href="_train___g_p__and__return__hyperparameters_8m.html#a8d780116abd74ce4edb29522382d30be">size</a>(x_1_prediction,1)</div>
<div class="line">    for <a class="code" href="_train___g_p__and__return__hyperparameters_8m.html#ac86694252f8dfdb19aaeadc4b7c342c6">j</a> = 1 : <a class="code" href="_train___g_p__and__return__hyperparameters_8m.html#a8d780116abd74ce4edb29522382d30be">size</a>(<a class="code" href="example__training__of___a_n_n_8m.html#a5d4ceb95920472829ed9a1f644d4c9de">x_2_prediction</a>,1)</div>
<div class="line">        x_Test_Point = [x_1_prediction(<a class="code" href="example__training__of___a_n_n_8m.html#a6f6ccfcf58b31cb6412107d9d5281426">i</a>,<a class="code" href="_train___g_p__and__return__hyperparameters_8m.html#ac86694252f8dfdb19aaeadc4b7c342c6">j</a>)</div>
</div><!-- fragment -->
</div>
</div>
<a id="a0c627e1b2c395d72e81e29e25de2f6a5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0c627e1b2c395d72e81e29e25de2f6a5">&#9670;&nbsp;</a></span>layers</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="example__training__of___a_n_n_8m.html#a43bcb2471652280e7f42608c40cf0b22">ffNet</a> layers {1}.transferFcn = 'tansig'</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="aeb3638046bd79039a7571f8c646a4c84"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aeb3638046bd79039a7571f8c646a4c84">&#9670;&nbsp;</a></span>lb</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Input dimension of <a class="el" href="example__training__of___g_p_8m.html#ab50c331b679f2b0e5d4fef84e71f3934">data</a> <a class="el" href="example__training__of___g_p_8m.html#a55295f1cfc3c4ee7f6ff998e05267abf">GP</a> lb = [-3, -3]</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a2a03407de8e48c58c4335953dcb8f87d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2a03407de8e48c58c4335953dcb8f87d">&#9670;&nbsp;</a></span>Matlab</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">file example_training_of_GP <a class="el" href="_train___g_p__and__return__hyperparameters_8m.html#aa7b608eef330c0c2d92f284c85641df7">m</a> brief Illustrative <a class="el" href="example__training__of___a_n_n_8m.html#a040fc6d327e2ac265e0ffb016a460e48">training</a> script for feedforward artificial neural network in Matlab</td>
        </tr>
      </table>
</div><div class="memdoc">
<b>Initial value:</b><div class="fragment"><div class="line">==============================================================================<a class="code" href="example__training__of___a_n_n_8m.html#ab7a8ba4c19cf0fdb4c50d44f4b6d89c1">\n</a></div>
<div class="line">%   Aachener Verfahrenstechnik-Systemverfahrenstechnik</div>
</div><!-- fragment -->
</div>
</div>
<a id="a1c079486791350f9f2a19565e2bed7d1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1c079486791350f9f2a19565e2bed7d1">&#9670;&nbsp;</a></span>max_fail</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="example__training__of___a_n_n_8m.html#a43bcb2471652280e7f42608c40cf0b22">ffNet</a> trainParam max_fail = 6</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a18d18e5292df1efc5462c0a57df1c949"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a18d18e5292df1efc5462c0a57df1c949">&#9670;&nbsp;</a></span>min_grad</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="example__training__of___a_n_n_8m.html#a43bcb2471652280e7f42608c40cf0b22">ffNet</a> trainParam min_grad = 1e-07</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ac2c71fa05132a373732d721268a13f0c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac2c71fa05132a373732d721268a13f0c">&#9670;&nbsp;</a></span>mu_max</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="example__training__of___a_n_n_8m.html#a43bcb2471652280e7f42608c40cf0b22">ffNet</a> trainParam mu_max = 1e10</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ab7a8ba4c19cf0fdb4c50d44f4b6d89c1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab7a8ba4c19cf0fdb4c50d44f4b6d89c1">&#9670;&nbsp;</a></span>n</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">file example_training_of_GP <a class="el" href="_train___g_p__and__return__hyperparameters_8m.html#aa7b608eef330c0c2d92f284c85641df7">m</a> brief Illustrative <a class="el" href="example__training__of___a_n_n_8m.html#a040fc6d327e2ac265e0ffb016a460e48">training</a> script for feedforward artificial neural network in RWTH Aachen University n</td>
        </tr>
      </table>
</div><div class="memdoc">
<b>Initial value:</b><div class="fragment"><div class="line">==============================================================================<a class="code" href="example__training__of___a_n_n_8m.html#ab7a8ba4c19cf0fdb4c50d44f4b6d89c1">\n</a></div>
<div class="line">%</div>
<div class="line">%  @author Artur Schweidtmann and Alexander Mitsos</div>
<div class="line">%  @date 22. January 2020</div>
<div class="line">%%</div>
<div class="line"> </div>
<div class="line">clc</div>
<div class="line">clear all</div>
<div class="line">close all</div>
<div class="line"> </div>
<div class="line"><a class="code" href="example__training__of___g_p_8m.html#ad5f0f3a6c03bbe8ad9ff3e38df087efe">addpath</a>(<span class="stringliteral">&quot;Write ANN to files&quot;</span>)</div>
</div><!-- fragment -->
</div>
</div>
<a id="a79a9d9a33f58a4c9aa2ee1dfdfdee463"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a79a9d9a33f58a4c9aa2ee1dfdfdee463">&#9670;&nbsp;</a></span>name</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Output Layer <a class="el" href="example__training__of___a_n_n_8m.html#a43bcb2471652280e7f42608c40cf0b22">ffNet</a> name = 'myTestANN'</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ad6d88efcf61a2ab4c34c9b4d54235a47"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad6d88efcf61a2ab4c34c9b4d54235a47">&#9670;&nbsp;</a></span>normalization</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="example__training__of___a_n_n_8m.html#a43bcb2471652280e7f42608c40cf0b22">ffNet</a> performParam normalization = 'standard'</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a9f12202b491c143cb495d2564b90a486"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9f12202b491c143cb495d2564b90a486">&#9670;&nbsp;</a></span>numNeurons</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Evaluate <a class="el" href="example__training__of___g_p_8m.html#a2277fd69ad7105496867cd94f826304a">test_func</a> for all <a class="el" href="example__training__of___a_n_n_8m.html#a4817a9277ef40b3369c95a4e1e1acfaf">X</a> Tranining of ANNs numNeurons = [10,8]</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="aa493a5f1ccc6ea9b0d0f525ba2281266"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa493a5f1ccc6ea9b0d0f525ba2281266">&#9670;&nbsp;</a></span>nX</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Add <a class="el" href="_write___g_p__to__xml_8m.html#aa28dc103258589d9cb421197fe2de90b">path</a> for Gaussian process export functions General nX = 200</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a17074b2a92ddf8a27a9d1b0ba48730b4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a17074b2a92ddf8a27a9d1b0ba48730b4">&#9670;&nbsp;</a></span>perf</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">perf = perform(<a class="el" href="example__training__of___a_n_n_8m.html#a43bcb2471652280e7f42608c40cf0b22">ffNet</a>,<a class="el" href="_predict___g_p_8m.html#ad89261857e7e5a1a1b86f3441197f1f0">prediction</a>,<a class="el" href="_write___g_p__to__json_8m.html#a2f7178b5691c597aba4e7ff9eaf0524d">Y</a>)</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a0bee1948a2cc75de6d5e4ae7a854c3f5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0bee1948a2cc75de6d5e4ae7a854c3f5">&#9670;&nbsp;</a></span>prediction</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">prediction = <a class="el" href="example__training__of___a_n_n_8m.html#a43bcb2471652280e7f42608c40cf0b22">ffNet</a>(x_Test_Point)</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a1d3c72f9a6e4cc9cb5c2d180bb815156"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1d3c72f9a6e4cc9cb5c2d180bb815156">&#9670;&nbsp;</a></span>purelin</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Transfer purelin</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a2277fd69ad7105496867cd94f826304a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2277fd69ad7105496867cd94f826304a">&#9670;&nbsp;</a></span>test_func</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Define upper bound of inputs test_func</td>
        </tr>
      </table>
</div><div class="memdoc">
<b>Initial value:</b><div class="fragment"><div class="line">= @(x) 3*(1-x(1)).^2.*exp(-(x(1).^2) - (x(2)+1).^2) ... </div>
<div class="line">   - 10*(x(1)/5 - x(1).^3 - x(2).^5).*exp(-x(1).^2-x(2).^2) ... </div>
<div class="line">   - 1/3*exp(-(x(1)+1).^2 - x(2).^2)</div>
</div><!-- fragment -->
</div>
</div>
<a id="aadcac1ca907c098fe91d8949f9c252f4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aadcac1ca907c098fe91d8949f9c252f4">&#9670;&nbsp;</a></span>testRatio</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="example__training__of___a_n_n_8m.html#a43bcb2471652280e7f42608c40cf0b22">ffNet</a> divideParam testRatio = 15/100</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ac48e1a5064db7c5f0d990a9be817b7c7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac48e1a5064db7c5f0d990a9be817b7c7">&#9670;&nbsp;</a></span>trainFcn</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">trainFcn = 'trainlm'</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a040fc6d327e2ac265e0ffb016a460e48"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a040fc6d327e2ac265e0ffb016a460e48">&#9670;&nbsp;</a></span>training</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Devide <a class="el" href="example__training__of___g_p_8m.html#ab50c331b679f2b0e5d4fef84e71f3934">data</a> set into training</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="aa72d00da533010a2b353de9b2cdd4913"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa72d00da533010a2b353de9b2cdd4913">&#9670;&nbsp;</a></span>trainRatio</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Devide <a class="el" href="example__training__of___g_p_8m.html#ab50c331b679f2b0e5d4fef84e71f3934">data</a> set into and test <a class="el" href="example__training__of___a_n_n_8m.html#a43bcb2471652280e7f42608c40cf0b22">ffNet</a> divideParam trainRatio = 70/100</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="aab88802a9fdd7b7273d475bf46f6dae1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aab88802a9fdd7b7273d475bf46f6dae1">&#9670;&nbsp;</a></span>ub</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Define Lower bound of inputs ub = [ 3, 3]</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="afd4ff86aed2d8d636829a3eced6f77af"></a>
<h2 class="memtitle"><span class="permalink"><a href="#afd4ff86aed2d8d636829a3eced6f77af">&#9670;&nbsp;</a></span>validation</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Devide <a class="el" href="example__training__of___g_p_8m.html#ab50c331b679f2b0e5d4fef84e71f3934">data</a> set into validation</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ab11fdb43dca5a8c07e160017613b9e32"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab11fdb43dca5a8c07e160017613b9e32">&#9670;&nbsp;</a></span>valRatio</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="example__training__of___a_n_n_8m.html#a43bcb2471652280e7f42608c40cf0b22">ffNet</a> divideParam valRatio = 15/100</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a5d4ceb95920472829ed9a1f644d4c9de"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5d4ceb95920472829ed9a1f644d4c9de">&#9670;&nbsp;</a></span>x_2_prediction</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Plot generated x_2_prediction = meshgrid(linspace(<a class="el" href="_train___g_p__and__return__hyperparameters_8m.html#aa53c1f31c30e63f0a62e323019ee39f2">lb</a>(1), <a class="el" href="_train___g_p__and__return__hyperparameters_8m.html#af06d33e475dd0c6fb326f753dcf34273">ub</a>(1), 20), linspace(<a class="el" href="_train___g_p__and__return__hyperparameters_8m.html#aa53c1f31c30e63f0a62e323019ee39f2">lb</a>(2), <a class="el" href="_train___g_p__and__return__hyperparameters_8m.html#af06d33e475dd0c6fb326f753dcf34273">ub</a>(2),20) )</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ab5d0dee4577dce4166b4f7d03510a14e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab5d0dee4577dce4166b4f7d03510a14e">&#9670;&nbsp;</a></span>Y</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Scale inputs onto interval [<a class="el" href="_train___g_p__and__return__hyperparameters_8m.html#aa53c1f31c30e63f0a62e323019ee39f2">lb</a>, <a class="el" href="_train___g_p__and__return__hyperparameters_8m.html#af06d33e475dd0c6fb326f753dcf34273">ub</a>] Y = cellfun(<a class="el" href="example__training__of___g_p_8m.html#a2277fd69ad7105496867cd94f826304a">test_func</a>, num2cell(<a class="el" href="example__training__of___a_n_n_8m.html#a4817a9277ef40b3369c95a4e1e1acfaf">X</a>,2))</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a8e137b3fb5c279332b8f4c38faa5cd81"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8e137b3fb5c279332b8f4c38faa5cd81">&#9670;&nbsp;</a></span>y_prediction</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">y_prediction = <a class="el" href="_scale_variables_8m.html#abe36e9a6fc94f1b95c00d00b9829d8f1">zeros</a>(<a class="el" href="_train___g_p__and__return__hyperparameters_8m.html#a8d780116abd74ce4edb29522382d30be">size</a>(<a class="el" href="example__training__of___a_n_n_8m.html#a7637537df13ddae4557bf33d25989562">x_2_prediction</a>,1),1)</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="adf359d7e263aa0342dc5a4b7e9940381"></a>
<h2 class="memtitle"><span class="permalink"><a href="#adf359d7e263aa0342dc5a4b7e9940381">&#9670;&nbsp;</a></span>y_std</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">y_std = <a class="el" href="_scale_variables_8m.html#abe36e9a6fc94f1b95c00d00b9829d8f1">zeros</a>(<a class="el" href="_train___g_p__and__return__hyperparameters_8m.html#a8d780116abd74ce4edb29522382d30be">size</a>(<a class="el" href="example__training__of___a_n_n_8m.html#a7637537df13ddae4557bf33d25989562">x_2_prediction</a>,1),1)</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<div class="ttc" id="a_train___g_p__and__return__hyperparameters_8m_html_ac7e3b2da00011ea8fe6e025bcf7d448a"><div class="ttname"><a href="_train___g_p__and__return__hyperparameters_8m.html#ac7e3b2da00011ea8fe6e025bcf7d448a">c</a></div><div class="ttdeci">end c</div><div class="ttdef"><b>Definition:</b> Train_GP_and_return_hyperparameters.m:243</div></div>
<div class="ttc" id="a_train___g_p__and__return__hyperparameters_8m_html_a88ea5a36240d18f8381688ed2ba3dc3a"><div class="ttname"><a href="_train___g_p__and__return__hyperparameters_8m.html#a88ea5a36240d18f8381688ed2ba3dc3a">OptGP</a></div><div class="ttdeci">id OptGP()</div></div>
<div class="ttc" id="aexample__training__of___a_n_n_8m_html_a6f6ccfcf58b31cb6412107d9d5281426"><div class="ttname"><a href="example__training__of___a_n_n_8m.html#a6f6ccfcf58b31cb6412107d9d5281426">i</a></div><div class="ttdeci">Evaluate prediction at all mesh points for i</div><div class="ttdef"><b>Definition:</b> example_training_of_ANN.m:98</div></div>
<div class="ttc" id="aexample__training__of___g_p_8m_html_ad5f0f3a6c03bbe8ad9ff3e38df087efe"><div class="ttname"><a href="example__training__of___g_p_8m.html#ad5f0f3a6c03bbe8ad9ff3e38df087efe">addpath</a></div><div class="ttdeci">file example_training_of_GP m brief Illustrative training script for Gaussian processes in RWTH Aachen University Xiaopeng Daniel and Alexander Mitsos date January clc clear all close all addpath(&quot;Direct&quot;)</div></div>
<div class="ttc" id="aexample__training__of___a_n_n_8m_html_ab7a8ba4c19cf0fdb4c50d44f4b6d89c1"><div class="ttname"><a href="example__training__of___a_n_n_8m.html#ab7a8ba4c19cf0fdb4c50d44f4b6d89c1">n</a></div><div class="ttdeci">file example_training_of_GP m brief Illustrative training script for feedforward artificial neural network in RWTH Aachen University n</div><div class="ttdef"><b>Definition:</b> example_training_of_ANN.m:9</div></div>
<div class="ttc" id="aexample__training__of___a_n_n_8m_html_a5d4ceb95920472829ed9a1f644d4c9de"><div class="ttname"><a href="example__training__of___a_n_n_8m.html#a5d4ceb95920472829ed9a1f644d4c9de">x_2_prediction</a></div><div class="ttdeci">Plot generated x_2_prediction</div><div class="ttdef"><b>Definition:</b> example_training_of_ANN.m:91</div></div>
<div class="ttc" id="a_train___g_p__and__return__hyperparameters_8m_html_a8d780116abd74ce4edb29522382d30be"><div class="ttname"><a href="_train___g_p__and__return__hyperparameters_8m.html#a8d780116abd74ce4edb29522382d30be">size</a></div><div class="ttdeci">Xnew size()</div></div>
<div class="ttc" id="a_scale_variables_8m_html_ad6666ab10465ac9fde34c0543948cfb8"><div class="ttname"><a href="_scale_variables_8m.html#ad6666ab10465ac9fde34c0543948cfb8">Ynew</a></div><div class="ttdeci">scaled inputs Ynew</div><div class="ttdef"><b>Definition:</b> ScaleVariables.m:6</div></div>
<div class="ttc" id="a_train___g_p__and__return__hyperparameters_8m_html_aa601f4b8e97786b94ee05da2cf438bb8"><div class="ttname"><a href="_train___g_p__and__return__hyperparameters_8m.html#aa601f4b8e97786b94ee05da2cf438bb8">Xnew</a></div><div class="ttdeci">id Xnew()</div></div>
<div class="ttc" id="a_train___g_p__and__return__hyperparameters_8m_html_ac86694252f8dfdb19aaeadc4b7c342c6"><div class="ttname"><a href="_train___g_p__and__return__hyperparameters_8m.html#ac86694252f8dfdb19aaeadc4b7c342c6">j</a></div><div class="ttdeci">Training of GP for j</div><div class="ttdef"><b>Definition:</b> Train_GP_and_return_hyperparameters.m:24</div></div>
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_2153465d1994426effb356c466256250.html">feedforward neural network</a></li><li class="navelem"><a class="el" href="dir_54ff30f75ea43d49e198e5be16e8be47.html">training</a></li><li class="navelem"><a class="el" href="dir_5a78266ba1e01978249d31d6317c13f2.html">matlab</a></li><li class="navelem"><a class="el" href="example__training__of___a_n_n_8m.html">example_training_of_ANN.m</a></li>
    <li class="footer">Generated by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.18 </li>
  </ul>
</div>
</body>
</html>
